# Overview of Documents and Invoicing

For generating invoices and other documents, the Hyp API works in tandem with [EZcount](https://www.ezcount.co.il/), an invoicing service provider that is a wholly owned subsidiary of Hyp.

The specific type of document that the Hyp API and EZcount generate by default is determined by a terminal setting, which the Hyp team configures based on the merchant's business type.

In many cases, the default will be tax invoice receipts (also known as tax receipts), but you can also generate other kinds of documents such as tax invoices, receipts, price quotes, and more — see [Overriding Invoice Account Details](/documents-and-invoicing/overriding-invoice-account-details-in-the-request.md) for the full list.

In this section, when we say "invoice", we mean any document generated by the Hyp invoicing API.

You can generate invoices for regular transactions, as well as for refunds and payouts. Technically, there are three Hyp API commands related to invoicing:

* `addCgInvoice` — generates invoices for regular debit transactions and payouts. See [Issuing Invoices](/documents-and-invoicing/issuing-invoices.md).
* `refundCgInvoice` — generates invoices for refunds and cancellations. See [Invoicing for Refunds](/documents-and-invoicing/refund-invoices.md).
* `inquireInvoice` — fetches previously generated invoices. See [Invoice Inquiries](/documents-and-invoicing/invoice-inquiries.md).

In addition to using these Hyp API commands, you can manage previously generated invoices using the EZcount portal.

## FAQ

### When you generate an invoice, is it sent to the customer via email?

Yes, unless you explicitly disable this. You can also access the invoice using the URL provided in the Hyp API response.

### Can you add invoice creation automatically to a payment page?

No. To generate invoices, you should use the two standalone commands: `addCgInvoice` and `refundCgInvoice`. Hyp no longer allows including invoice-related elements in the `doDeal` and `refundDeal` commands. Using specialized invoicing commands significantly streamlines troubleshooting, which benefits both you as a merchant and the Hyp support team.

### How to issue invoices retroactively?

There is no time limit on when you can generate an invoice for a past transaction — it can be immediately after the transaction occurs or at any later time. Simply [create a normal `addCGInvoice` request](/documents-and-invoicing/issuing-invoices.md) after the transaction has taken place.

### Does Hyp support חשבוניות ישראל (Tax Authority Allocation Number)?

Yes. It is configured automatically for you when you sign up for EZcount, and no additional action is required on your part as a merchant.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hyp.co.il/documents-and-invoicing/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
